> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Create Channel

> Connect a new WhatsApp Business channel.

## Create channel

`POST /api/channels`

Add a new WhatsApp Business channel connection.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

**name** `string` *required*

Display name for the channel

**phoneNumberId** `string` *required*

WhatsApp phone number ID

**accessToken** `string` *required*

WhatsApp access token

**wabaId** `string` *required*

WhatsApp Business Account ID

**businessAccountId** `string`

Business account ID

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/channels \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Support Channel",
    "phoneNumberId": "647015955153740",
    "accessToken": "EAAxxxxxxxxxx...",
    "wabaId": "1234567890"
  }'
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 2,
    "name": "Support Channel",
    "phoneNumberId": "647015955153740",
    "status": "connected",
    "createdAt": "2026-01-15T12:00:00Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.